/*
 *   (c) 2003 by Eduardo Enrique Gonzlez Rodrguez
 *   Distributed under GPL, see license.txt file in the package
 *
 *   Header file of decode.c
 */

#include "defs.h"


/*
 *   Decodes a block of data. The frequency distribution of its symbols is
 * stored inside of it. Uses static rf-decoding with phasing in codes.
 */

void
dec_static_pic(stream *input, dword *input_size, symbol *output,
	       dword *output_size, word *hash1, word *hash2);

/*
 *   Decodes a block of data. The frequency distribution of its symbols is
 * stored inside of it. Uses static rf-decoding with arithmetic coding.
 */

void
dec_static_ac(stream *input, dword *input_size, symbol *output,
	      dword *output_size);

